# Nidi is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Nidi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Nidi.  If not, see <http://www.gnu.org/licenses/>.

# SYS
import os
import sys
import re
sys.path.insert(0, (os.environ['NIDI']+'/lib'))
from flask import Flask, jsonify, request, render_template, url_for, abort, make_response
# LIB
from dbFoodScan import dbFoodScan

template_dir = os.path.join(os.environ['NIDI'],'templates')
static_dir = os.path.join(os.environ['NIDI'],'static')
app = Flask(__name__,template_folder=template_dir,static_url_path='/static')

##################
###             ###
###  FOOD SCAN  ###
###             ###
###################
@app.route('/', methods=['GET','POST'])
def root():
  data = ""
  if (request.form):
    code = request.form["food_code"]
    data = dbFoodScan(code)
    cols = [x.replace('_100g','').replace('_',' ') for x in data[0]]
  if (data):
    resp = render_template('food_scan.html',data=data[1], cols=cols)
  else:
    resp = render_template('food_scan.html')
  return resp

###
### NIDI SYSTEM
###

if __name__ == '__main__':
  app.run(debug=True,host='127.0.0.1',port=23263)
